package com.cim.idm.wmspackage.receiverequestdetail.management.data;

import java.sql.Date;
import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

public class MaterialReceiveRequestDetail extends FieldAccessor implements DataInfo<MaterialReceiveRequestDetailKey> {

	private MaterialReceiveRequestDetailKey key;
	private String pocategory; // 对应SAP PSTYPE
	private String receiveRequestDetailType;  //对应SAP KNTTP
	private String materialSpecName;
	private String description;
	private double requestQuantity;
	private double receivedQuantity;
	private String erpLocation;
	private String locationName;
	private String erpFactory;
	private String returnFlag;
	private String freeFlag;
	private String forceCompletedFlag;
	private String receiveRequestDetailState;
	private String holdState;
	private String iqcFlag;
	private Timestamp planDate;
	private String createUser;
	private Timestamp createTime;
	private String lastEventName;
	private String lastEventTimeKey;
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventComment;
	private String innerOrder;//内部订单号20190806
	@JsonProperty("CHARGE")@JsonIgnoreProperties(ignoreUnknown = true)
	private String charge;
	@JsonProperty("APPLICANT")@JsonIgnoreProperties(ignoreUnknown = true)
	private String applicant;
	@JsonProperty("ERPPONAME")@JsonIgnoreProperties(ignoreUnknown = true)
	private String erpPoName;
	@JsonProperty("ERPPODETAILNAME")@JsonIgnoreProperties(ignoreUnknown = true)
	private String erpPoDetailName;
	@JsonProperty("INNERFLAG")@JsonIgnoreProperties(ignoreUnknown = true)
	private String innerFlag;
	//众凌定制字段
	//供应商批次
	@JsonProperty("SUPPLIERCHARGE")@JsonIgnoreProperties(ignoreUnknown = true)
	private String supplierCharge;
	private String materialUnit;
	private String finishFlag;
	private String costCenter;//成本中心
	private Timestamp orderChangeDate; //订单更改日期
	private String wmsReturnChargeNo; //WMS退货批次号
	private String purchaseRequestNote; //采购申请备注信息
	private String purchaseRequestNo; //采购申请单号
	private String purchaseRequestDetailNo; //采购申请单行号
	private String deleteDetailFlag; //订单行项目删除标识
	private String salesman; // 业务员zzywy
	private String salesAssistant; // 业务助理zzywzl
	private String businessDivision; // 事业部zzsyb

	public String getLocationName() {
		return locationName;
	}



	public void setLocationName(String locationName) {
		this.locationName = locationName;
	}



	public String getInnerFlag() {
		return innerFlag;
	}



	public String getSupplierCharge() {
		return supplierCharge;
	}



	public void setSupplierCharge(String supplierCharge) {
		this.supplierCharge = supplierCharge;
	}



	public void setInnerFlag(String innerFlag) {
		this.innerFlag = innerFlag;
	}



	public String getErpPoName() {
		return erpPoName;
	}



	public void setErpPoName(String erpPoName) {
		this.erpPoName = erpPoName;
	}



	public String getErpPoDetailName() {
		return erpPoDetailName;
	}



	public void setErpPoDetailName(String erpPoDetailName) {
		this.erpPoDetailName = erpPoDetailName;
	}



	public String getApplicant() {
		return applicant;
	}



	public void setApplicant(String applicant) {
		this.applicant = applicant;
	}



	public String getCharge() {
		return charge;
	}



	public void setCharge(String charge) {
		this.charge = charge;
	}



	public MaterialReceiveRequestDetail() {
	}



	public MaterialReceiveRequestDetailKey getKey() {
		return key;
	}



	public void setKey(MaterialReceiveRequestDetailKey key) {
		this.key = key;
	}



	public String getPocategory() {
		return pocategory;
	}



	public void setPocategory(String pocategory) {
		this.pocategory = pocategory;
	}



	public String getReceiveRequestDetailType() {
		return receiveRequestDetailType;
	}



	public void setReceiveRequestDetailType(String receiveRequestDetailType) {
		this.receiveRequestDetailType = receiveRequestDetailType;
	}



	public String getMaterialSpecName() {
		return materialSpecName;
	}



	public void setMaterialSpecName(String materialSpecName) {
		this.materialSpecName = materialSpecName;
	}



	public String getDescription() {
		return description;
	}



	public void setDescription(String description) {
		this.description = description;
	}






	public double getRequestQuantity() {
		return requestQuantity;
	}



	public void setRequestQuantity(double requestQuantity) {
		this.requestQuantity = requestQuantity;
	}



	public double getReceivedQuantity() {
		return receivedQuantity;
	}



	public void setReceivedQuantity(double receivedQuantity) {
		this.receivedQuantity = receivedQuantity;
	}



	public String getErpLocation() {
		return erpLocation;
	}



	public void setErpLocation(String erpLocation) {
		this.erpLocation = erpLocation;
	}



	public String getReturnFlag() {
		return returnFlag;
	}



	public void setReturnFlag(String returnFlag) {
		this.returnFlag = returnFlag;
	}



	public String getFreeFlag() {
		return freeFlag;
	}



	public void setFreeFlag(String freeFlag) {
		this.freeFlag = freeFlag;
	}



	public String getForceCompletedFlag() {
		return forceCompletedFlag;
	}



	public void setForceCompletedFlag(String forceCompletedFlag) {
		this.forceCompletedFlag = forceCompletedFlag;
	}







	public String getReceiveRequestDetailState() {
		return receiveRequestDetailState;
	}



	public void setReceiveRequestDetailState(String receiveRequestDetailState) {
		this.receiveRequestDetailState = receiveRequestDetailState;
	}



	public String getHoldState() {
		return holdState;
	}



	public void setHoldState(String holdState) {
		this.holdState = holdState;
	}



	public String getIqcFlag() {
		return iqcFlag;
	}



	public void setIqcFlag(String iqcFlag) {
		this.iqcFlag = iqcFlag;
	}



	public Timestamp getPlanDate() {
		return planDate;
	}



	public void setPlanDate(Timestamp planDate) {
		this.planDate = planDate;
	}



	public String getCreateUser() {
		return createUser;
	}



	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}



	public Timestamp getCreateTime() {
		return createTime;
	}



	public void setCreateTime(Timestamp createTime) {
		this.createTime = createTime;
	}



	public String getLastEventName() {
		return lastEventName;
	}



	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}



	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}



	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}



	public Timestamp getLastEventTime() {
		return lastEventTime;
	}



	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}



	public String getLastEventUser() {
		return lastEventUser;
	}



	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}



	public String getLastEventComment() {
		return lastEventComment;
	}



	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}



	public String getErpFactory() {
		return erpFactory;
	}



	public void setErpFactory(String erpFactory) {
		this.erpFactory = erpFactory;
	}



	public String getInnerOrder() {
		return innerOrder;
	}

	public void setInnerOrder(String innerOrder) {
		this.innerOrder = innerOrder;
	}

	public String getMaterialUnit() {
		return materialUnit;
	}

	public void setMaterialUnit(String materialUnit) {
		this.materialUnit = materialUnit;
	}

	public String getFinishFlag() {
		return finishFlag;
	}

	public void setFinishFlag(String finishFlag) {
		this.finishFlag = finishFlag;
	}

	public String getCostCenter() {
		return costCenter;
	}

	public void setCostCenter(String costCenter) {
		this.costCenter = costCenter;
	}

	public Timestamp getOrderChangeDate() {
		return orderChangeDate;
	}

	public void setOrderChangeDate(Timestamp orderChangeDate) {
		this.orderChangeDate = orderChangeDate;
	}

	public String getWmsReturnChargeNo() {
		return wmsReturnChargeNo;
	}

	public void setWmsReturnChargeNo(String wmsReturnChargeNo) {
		this.wmsReturnChargeNo = wmsReturnChargeNo;
	}

	public String getPurchaseRequestNote() {
		return purchaseRequestNote;
	}

	public void setPurchaseRequestNote(String purchaseRequestNote) {
		this.purchaseRequestNote = purchaseRequestNote;
	}

	public String getPurchaseRequestNo() {
		return purchaseRequestNo;
	}

	public void setPurchaseRequestNo(String purchaseRequestNo) {
		this.purchaseRequestNo = purchaseRequestNo;
	}

	public String getPurchaseRequestDetailNo() {
		return purchaseRequestDetailNo;
	}

	public void setPurchaseRequestDetailNo(String purchaseRequestDetailNo) {
		this.purchaseRequestDetailNo = purchaseRequestDetailNo;
	}

	public String getDeleteDetailFlag() {
		return deleteDetailFlag;
	}

	public void setDeleteDetailFlag(String deleteDetailFlag) {
		this.deleteDetailFlag = deleteDetailFlag;
	}

	public String getSalesman() {
		return salesman;
	}

	public void setSalesman(String salesman) {
		this.salesman = salesman;
	}

	public String getSalesAssistant() {
		return salesAssistant;
	}

	public void setSalesAssistant(String salesAssistant) {
		this.salesAssistant = salesAssistant;
	}

	public String getBusinessDivision() {
		return businessDivision;
	}

	public void setBusinessDivision(String businessDivision) {
		this.businessDivision = businessDivision;
	}

}
